import type CheckpointTailWitnessLocator from './CheckpointTailWitnessLocator.ts';
import NeighborhoodOptic from './NeighborhoodOptic.ts';
import type NodeOpticReadResult from './NodeOpticReadResult.ts';
import NodePropertyOptic from './NodePropertyOptic.ts';
import Optic from './Optic.ts';
import TraversalOptic from './TraversalOptic.ts';
export default class NodeOptic {
    private readonly _optic;
    private readonly _locator;
    constructor(options: {
        readonly optic: Optic;
        readonly locator: CheckpointTailWitnessLocator;
    });
    toOptic(): Optic;
    read(): Promise<NodeOpticReadResult>;
    prop(key: string): NodePropertyOptic;
    neighbors(): NeighborhoodOptic;
    traverse(): TraversalOptic;
}
